<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

// BEGIN Configuration

$nEmailToARRAY = array();
$nEmailToARRAY["info@mywebsite.com"] = "General Information";
$nEmailToARRAY["info@mywebsite.com,support@mywebsite.com"] = "Support Request";
// Use SMTP configuration if your server requires it or if you don't receive emails through the contact form
$nMailHost = ""; // ex: mail.mywebsite.com
$nMailUsername = ""; // ex: mailer@mywebsite.com
$nMailPassword = "";
$nUseSendMail = false; // needed for certain hosting mail servers
$nEmailSubject = "Contact Form Submission - mywebsite.com";
$nThankYouMessage = "<strong>Thank you for your interest in Mywebsite.com.</strong><BR><BR>One of our staff will be in touch with you shortly in reponse to your request.";

// END Configuration


/* ***** No need to configure anything below this line ***** */

if(count($nEmailToARRAY)<1){ exit("Please configure your contact form in 'contact_form.php' located in the root folder of your website."); }

require("manage/inc/stop_cache.php");

$nSubject = $_GET["subject"];
if(!$nSubject){ $nSubject = $_POST["subject"]; }

// Set recipient based on passed-in subject
if($nSubject){ $nSubjectRecip = array_search($nSubject,$nEmailToARRAY); }
?>
<html>
<head>
<title>Contact Us</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link href="inc/form.css" rel="stylesheet" type="text/css">
</head>
<body>

<?php
// AJAX Specific vars
$nPassThru = "";
$nDivToUpdate = "ajaxContact";
$nPageInDiv = "/contact_form.php";

include("inc/form_class.php");

$nFormName = "ContactForm";
$nForm1 = new Form();
$nForm1->Name = $nFormName;
$nForm1->Action = $_SERVER['PHP_SELF'];
$nForm1->DontProcess = ""; //(multiple values accepted, comma-delimited)
$nForm1->SubmitText = "Send Message";

// AJAX settings
$nForm1->SubmitIsJS = true;
$nForm1->SubmitToJS = "return submitForm('$nDivToUpdate','$nPageInDiv$nPassThru','$nFormName');return false;";

// Email settings
$nForm1->Action_email = $_POST["nEmailTo"]; //(multiple values accepted, comma-delimited)
$nForm1->Action_email_bodyFile = "inc/bodyfile.html";
if($nMailHost){ $nForm1->MailHost = $nMailHost; }
if($nMailUsername){ $nForm1->MailUser = $nMailUsername; }
if($nMailPassword){ $nForm1->MailPass = $nMailPassword; }
if($nUseSendMail){ $nForm1->MailUseSendMail = true; }
$nForm1->MailFrom = $_POST["nEmail"];
$nForm1->EmailFromName = $_POST["nName"];
$nForm1->EmailSubject = $nEmailSubject;

// Create groups
$nFormGroup1 = new FormGroup();

// Create fields
$nFormField = new FormField("hidden","subject");
$nFormField->Value = $nPackage;
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("select","nEmailTo","Subject:");
$nFormField->RowSize = "Half";
$nFormField->RowStyle = "clear:both;float:none;";
$nFormField->DataARRAY = $nEmailToARRAY;
if($nSubjectRecip){ $nFormField->SelectedARRAY = array("$nSubjectRecip" => "selected"); }
$nFormField->RowSize = "Half";
$nFormField = $nForm1->AddValidation("required",$nFormField);
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("text","nName","Full name:");
$nFormField->RowSize = "Half";
$nFormField->RowStyle = "clear:both;float:none;";
$nFormField->Style = "width:90%;";
$nFormField = $nForm1->AddValidation("required",$nFormField);
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("text","nEmail","Email Address:");
$nFormField->RowSize = "Half";
$nFormField->RowStyle = "clear:both;float:none;";
$nFormField->Style = "width:90%;";
$nFormField = $nForm1->AddValidation("email",$nFormField);
$nFormField = $nForm1->AddValidation("required",$nFormField);
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("text","nPhone","Phone:");
$nFormField->RowSize = "Half";
$nFormField->RowStyle = "clear:both;float:none;";
$nFormField->Style = "width:90%;";
$nFormField = $nForm1->AddValidation("phone",$nFormField);
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("textarea","nComments","Your comments or questions:");
$nFormField->RowSize = "Half";
$nFormField->RowStyle = "clear:both;float:none;";
$nFormField->Style = "width:90%;height:120px;";
$nFormField = $nForm1->AddValidation("required",$nFormField);
$nFormGroup1->AddField($nFormField);

// Finalize and display form
$nForm1->AddGroup($nFormGroup1);
$nFormToDisplay = $nForm1->GetForm();

// AJAX redirect if form submitted w/o error, otherwise display form (again, if necessary)
if($nForm1->HasProcessed){
?>
<div align="center" style="border:1px solid #CDCDCD;padding:10px;">
	<?=$nThankYouMessage;?>
</div>
<?
} else {
	echo $nFormToDisplay;
}
?>


</body>
</html>
