<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

require("../inc/stop_cache.php");
$nAdminOnlyPg = 0;
require("../inc/secure_page.php");
// connect to mysql
require("../../inc/dbconnect.php");
require("../../inc/config.php");

// config
$nRefreshCall = "refreshImages();";

// Get passed-in vars
$nRecID = (isset($_GET['id']) ? $_GET['id'] : NULL);
if(!$nRecID){ $nRecID = (isset($_POST['id']) ? $_POST['id'] : NULL); }

// AJAX Specific vars
$nPassThru = "";
$nDivToUpdate = "editModal";
$nPageInDiv = "dialog/image_edit.php";

// Get info
if($nRecID){
	$nSQL = "SELECT * FROM nImage WHERE nID='$nRecID' LIMIT 1";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nPath = $Row["nPath"];
		$nTitle = $Row["nTitle"];
		$nCaption = $Row["nCaption"];
	} else { exit("<div align=\"center\" style=\"padding:20px;\"><em>No record found.</em></div>"); }
	
	if($nPath){
		$nFilename = nGetImageNameFromPath($nPath);
		$nImgTag = "<img src=\"../$nPath\" alt=\"\" height=\"150\" border=\"0\">";
		if(file_exists("../../$nPath")){
			$nFilesize = filesize("../../$nPath");
			if($nFilesize){ $nFilesize = number_format(($nFilesize/1000),0,'.',''); }
			$nImgSizeARRAY = getimagesize("../../$nPath");
			$nImgW = $nImgSizeARRAY[0]; $nImgH = $nImgSizeARRAY[1]; $nResizeRatio = $nImgW/100;
			if($nImgH<150){ $nImgTag = "<img src=\"../$nPath\" alt=\"\" width=\"$nImgW\" height=\"$nImgH\" border=\"0\">"; }
			if($nResizeRatio && ($nImgH/$nResizeRatio)>100){ $nImgTag = "<div style=\"overflow:hidden; height:121px; width:150px; vertical-align:middle;\">$nImgTag</div>"; }
		}
	}
	
	$nImagePlacementPageARRAY = nGetImagePlacementPageARRAY($nRecID);
	$nImagePlacementPageCount = count($nImagePlacementPageARRAY);
	$nImgPlacementText = "";
	if($nImagePlacementPageCount){
		$nImageLinkARRAY = array();
		foreach($nImagePlacementPageARRAY AS $nPageID => $nPageName){
			$nImageLinkARRAY[]="<a href=\"page_edit.php?id=$nPageID\">$nPageName</a>";
		}
		$nImgPlacementText = implode(", ",$nImageLinkARRAY);
	} else {
		$nImgPlacementText = "<em>Not yet linked to any pages.</em>";
	}
}

// Defaults

?>

<div id="<?=$nDivToUpdate;?>">
<?php
include("../inc/form_class.php");

$nFormName = "FormImageEdit";
$nForm1 = new Form();
$nForm1->DEBUG = false;
$nForm1->Name = $nFormName;
$nForm1->Action = $_SERVER['PHP_SELF'];
$nForm1->CancelText = "Cancel";
$nForm1->CancelRedirect = "$.colorbox.close()";
$nForm1->CancelRedirectIsJS = true;
if($nRecID){
	$nForm1->SubmitText = "Save Changes";
	$nForm1->ModifyDBTable = "nImage";
	$nForm1->ModifyDBField = "nID";
	$nForm1->ModifyDBID = "$nRecID";
}
$nForm1->DontProcess = "id";

$nForm1->DBLink = $Link;
$nForm1->nUseADODB = false;
// AJAX settings
$nForm1->SubmitIsJS = true;
$nForm1->SubmitToJS = "return submitForm('$nDivToUpdate','$nPageInDiv$nPassThru','$nFormName');return false;";

// Create groups
$nFormGroup1 = new FormGroup();

// Create fields
$nFormField = new FormField("hidden","id");
$nFormField->Value = $nRecID;
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("static","","");
$nFormField->Value = $nImgTag;
$nFormField->RowSize = "Half";
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("static","","Filename:");
$nFormField->Value = $nFilename;
$nFormField->RowSize = "Half";
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("static","","Dimensions:");
$nFormField->Value = "{$nImgW}px x {$nImgH}px";
$nFormField->RowSize = "Half";
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("text","nTitle","Title:");
$nFormField->Caption = "(used in image gallery, max. 150 characters)";
$nFormField->Value = $nTitle;
$nFormField = $nForm1->AddValidation("maxlength",$nFormField,150);
$nFormField->RowSize = "Full";
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("textarea","nCaption","Full Caption:");
$nFormField->Caption = "(used in image gallery, HTML is accepted)";
$nFormField->Value = $nCaption;
$nFormField->RowSize = "Full";
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("static","","This image is linked to the following pages:");
$nFormField->Value = "$nImgPlacementText";
$nFormField->RowStyle = "clear:both;float:none;";
$nFormField->RowSize = "Full";
$nFormGroup1->AddField($nFormField);

// Finalize and display form
$nForm1->AddGroup($nFormGroup1);
$nFormToDisplay = $nForm1->GetForm();

// AJAX redirect if form submitted w/o error, otherwise display form (again, if necessary)
if($nForm1->HasProcessed){
	// Post-processing
	echo "<script>$nRefreshCall $.colorbox.close();</script>";
} else {
	echo $nFormToDisplay;
	echo "<script>$.colorbox.resize();</script>";
}
?>
</div>
<?php
function nGetImageNameFromPath($nPath){
	if(!$nPath){ return; }
	$nPathARRAY = explode("/",$nPath);
	$nImgName = $nPathARRAY[(count($nPathARRAY)-1)];
	return $nImgName;
}
function nGetImagePlacementPageARRAY($nImgID){
	global $DBName,$Link;
	$nResultsARRAY = array();
	$nSQL = "SELECT xComponentPage.nPageID FROM nTranslate JOIN xComponentPage ON nTranslate.nItemID = xComponentPage.nContentID WHERE nTranslate.nImgID='$nImgID'";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nPageID = $Row["nPageID"];
		if($nPageID){ $nPageName = nGetPageName($nPageID); }
		$nResultsARRAY["$nPageID"] = "$nPageName";
	}
	return $nResultsARRAY;
}
function nGetPageName($nPageID){
	global $DBName,$Link;
	if(!$nPageID){ return; }
	$nSQL = "SELECT nNavTitle FROM nPage WHERE nID=$nPageID LIMIT 1";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nNavTitle = $Row["nNavTitle"];
	}
	return $nNavTitle;
}
?>
<? require("../../inc/db_close.php"); ?>
