<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

require("../inc/stop_cache.php");
require("../inc/secure_page.php");
// connect to mysql
require("../../inc/dbconnect.php");
include("../inc/calendar.php");
include("../inc/rc4.php");

// Get passed-in vars
$nRecID = (isset($_GET['id']) ? $_GET['id'] : NULL);
if(!$nRecID){ $nRecID = (isset($_POST['id']) ? $_POST['id'] : NULL); }
$nEditMode = (isset($_GET['editMode']) ? $_GET['editMode'] : NULL);
if(!$nEditMode){ $nEditMode = (isset($_POST['editMode']) ? $_POST['editMode'] : NULL); }

// Additional security check if this account is a limited user (give only self access)
$nMyUserID = nGetUserIDFromName($ValidUser);
if(!$nAdminAccess && $nRecID!=$nMyUserID){ exit; }

// AJAX Specific vars
$nPassThru = "?id=$nRecID";
$nDivToUpdate = "ajaxUserEdit"; // must be same as parent edit page
$nPageInDiv = "edit/user.php";

// Get info
if($nRecID){
	$nSQL = "SELECT * FROM nEditor WHERE nID='$nRecID' LIMIT 1";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nID = $Row["nID"];
		$nUser = $Row["nUser"];
		$nPass = $Row["nPass"];
		$nEmail = $Row["nEmail"];
		//$nPass = rc4Decrypt("xyz123",$Row["nPass"]);
		$nAdmin = $Row["nAdmin"];
		if($nAdmin){ $nAdminText = "<em>Administrator</em>"; } else { $nAdminText = "<em>Editor</em>"; }
		$nLoginDT = $Row["nLastLoginDate"];
		$nLoginDTARRAY = explode(" ",$nLoginDT);
		if($nLoginDT){
			$nDateDiff = nGetDateDiffDays($nLoginDTARRAY[0]);
			if($nDateDiff>0){ $nLoginDT = nDateToDisplayCustom($nLoginDTARRAY[0],"m/d/y"); } else { $nLoginDT = "Today, ".$nLoginDTARRAY[1]; }
		} else {
			$nLoginDT = "<span class=\"caption\"><em>&lt;never&gt;</em></span>";
		}
		if(!$nUser){ $nUserText="<span class=\"caption\"><em>&lt;unnamed&gt;</em></span>"; } else { $nUserText = $nUser; }
		if($nPass){ $nPassText = "********"; }
		if(!$nEmail){ $nEmailText="<span class=\"caption\"><em>&lt;not set&gt;</em></span>"; } else { $nEmailText = $nEmail; }
	} else { echo "<div align=\"center\" style=\"padding:20px;\"><em>No record found.</em></div>"; }
} else { echo "<div align=\"center\" style=\"padding:20px;\"><em>No record available. Invalid ID.</em></div>"; }
?>

<? if(!$nEditMode){ ?>

<div id="editBox">
	<div id="editBoxHdr"><span id="fieldGrpTitle">Profile</span></div> 
	<div id="editBoxStatic">
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td width="75" valign="top" style="padding-right:10px;"><img src="img/profile.gif" alt="" width="65" height="63" border="0"></td>
			<td valign="top" style="padding-right:40px;">
				<? if($nUserText){ echo "<strong>Username:</strong> $nUserText<BR>"; } ?>
				<? if($nPassText){ echo "<strong>Password:</strong> $nPassText<BR>"; } ?>
				<? if($nEmailText){ echo "<strong>E-mail:</strong> $nEmailText<BR>"; } ?>
			</td>
			<td valign="top">
				<? if($nAdminText){ echo "<strong>Access Level:</strong> $nAdminText<BR>"; } ?>
				<? if($nLoginDT){ echo "<span class=\"caption\"><strong>Last Login:</strong> $nLoginDT</span><BR>"; } ?>
			</td>
		  </tr>
		</table>
		<div style="clear:both;">&nbsp;</div>
		<div align="center" id="buttonBox">
			<input type="button" name="nEdit" value="Edit" class="formButton" onClick="loadContent('<?=$nDivToUpdate?>','<?=$nPageInDiv.$nPassThru?>&editMode=1');">
		</div>
	</div>
</div>
<? } ?>

<? if($nEditMode){ ?>
<div id="editBox">
<?php
include("../inc/form_class.php");

$nFormName = "FormUserEdit";
$nForm1 = new Form();
$nForm1->Name = $nFormName;
$nForm1->Action = $_SERVER['PHP_SELF'];
if($nRecID){
	$nForm1->SubmitText = "Update";
	$nForm1->CancelText = "Cancel";
	$nForm1->CancelRedirect = "loadContent('$nDivToUpdate','$nPageInDiv$nPassThru');";
	$nForm1->CancelRedirectIsJS = true;
	// Form DB settings
	$nForm1->ModifyDBTable = "nEditor";
	$nForm1->ModifyDBField = "nID";
	$nForm1->ModifyDBID = "'$nRecID'";
	$nForm1->DBLink = $Link;
	$nForm1->nUseADODB = false;
	// AJAX settings
	$nForm1->SubmitToJS = "return submitForm('$nDivToUpdate','$nPageInDiv$nPassThru',this.name);return false;";
}
$nForm1->DontProcess = "id,editMode";

// Create groups
$nFormGroup1 = new FormGroup();
$nFormGroup1->Name = "Defaults";

// Create fields
$nFormField = new FormField("hidden","id");
$nFormField->Value = $nRecID;
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("hidden","editMode");
$nFormField->Value = "1";
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("text","nUser","Login Username:");
$nFormField->Value = $nUser;
$nFormField->Caption = "(max. 50 characters)";
$nFormField = $nForm1->AddValidation("required",$nFormField);
$nFormField = $nForm1->AddValidation("minlength",$nFormField,4);
$nFormField = $nForm1->AddValidation("maxlength",$nFormField,50);
$nFormField->RowSize = "Half";
$nFormGroup1->AddField($nFormField);

$nFormField = new FormField("password","nPass","Login Password:");
$nFormField->Value = $nPass;
$nFormField->Caption = "(max. 16 characters)";
$nFormField = $nForm1->AddValidation("required",$nFormField);
$nFormField = $nForm1->AddValidation("minlength",$nFormField,4);
$nFormField = $nForm1->AddValidation("maxlength",$nFormField,16);
//$nFormField = $nForm1->AddEncoding("RC4",$nFormField);
$nFormField->RowSize = "Half";
$nFormGroup1->AddField($nFormField);

if($nAdminAccess){
	$nFormField = new FormField("select","nAdmin","Access Level:");
	$nFormField->DataARRAY = array(
		"0" => "Editor",
		"1" => "Administrator");
	if($nAdmin){ $nFormField->SelectedARRAY = array("1" => "selected"); }
	$nFormField->RowSize = "Half";
	$nFormField->Style = "width:200px;";
	$nFormField->RowStyle = "clear:both;float:none;";
	$nFormGroup1->AddField($nFormField);
}

$nFormField = new FormField("text","nEmail","E-mail Address:");
$nFormField->Value = $nEmail;
$nFormField = $nForm1->AddValidation("email",$nFormField);
$nFormField = $nForm1->AddValidation("required",$nFormField);
$nFormField->RowSize = "Half";
$nFormField->Style = "width:428px;";
$nFormGroup1->AddField($nFormField);

// Finalize and display form
$nForm1->AddGroup($nFormGroup1);
$nFormToDisplay = $nForm1->GetForm();

// AJAX redirect if form submitted w/o error, otherwise display form (again, if necessary)
if($nForm1->HasProcessed){
	echo "<script>loadContent('$nDivToUpdate','$nPageInDiv$nPassThru');</script>";
} else {
	echo $nFormToDisplay;
}
?>
</div>
<? } ?>
<?php
function nGetUserIDFromName($nUserName){
	global $DBName,$Link;
	if(!$nUserName){ return; }
	$Query = "SELECT nID FROM nEditor WHERE nUser='$nUserName' LIMIT 1";
	mysql_select_db($DBName); $Result = mysql_query($Query,$Link);
	if($Row = mysql_fetch_array($Result)) {
		$nUserID = $Row["nID"];
	}
	return $nUserID;
}
?>
<? require("../../inc/db_close.php"); ?>
