<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

// Next line to start calc of page load time
$nPLTStart = microtime(); $nPLTStartARRAY = explode(" ", $nPLTStart); $nPLTStart = $nPLTStartARRAY[1] + $nPLTStartARRAY[0];
require("inc/stop_cache.php");
$nAdminOnlyPg = 0;
require("inc/secure_page.php");
// connect to mysql
require("../inc/dbconnect.php");
require("../inc/config.php");
require("../inc/tracker.php");
include("inc/paginator.php");
include("inc/pageutil.php");
include("inc/calendar.php");
require("inc/imgedit.php");

// Allow large files to be uploaded
ini_set('memory_limit','-1');
ini_set('upload_max_filesize','50');

$nShowPerPg = 999;

// Get passed-in vars
if(isset($_GET["pg"])){ $nPage = $_GET["pg"]; } else { $nPage = ""; }
if(!$nPage && isset($_POST["pg"])){ $nPage = $_POST["pg"]; }
if(isset($_GET["srt"])){ $nSort = $_GET["srt"]; } else { $nSort = ""; }
if(isset($_GET["ord"])){ $nSortOrder = $_GET["ord"]; } else { $nSortOrder = ""; }
if(isset($_GET["spp"])){ $nShowPerPgOverride = $_GET["spp"]; } else { $nShowPerPgOverride = ""; }
if($nShowPerPgOverride){ $nShowPerPg = $nShowPerPgOverride; }

if(isset($_GET["t"])){ $nType = $_GET["t"]; } else { $nType = ""; }
if(!$nType){ $nType = "all"; }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Control Panel :: <?=$nSiteName;?></title>
<link rel="stylesheet" type="text/css" href="css/meta-admin.css" />
<link rel="stylesheet" type="text/css" href="css/blue-theme.css" />
<!--[if lte IE 6]><link media="screen" rel="stylesheet" type="text/css" href="css/ie.css" /><![endif]-->
<link href="css/colorbox.css" rel="stylesheet" type="text/css">
<link href="css/form.css" rel="stylesheet" type="text/css">
<link href="css/drag_drop.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="js/css.js"></script>
<script type="text/javascript" src="js/behaviour.js"></script>
<script type="text/javascript" src="js/refresh.js"></script>
<script src="js/utility.js" type="text/javascript"></script>
<script src="js/jquery-1.7.1.min.js" type="text/javascript"></script>
<script src="js/jquery.colorbox-min.js" type="text/javascript"></script>
<script src="js/jquery_processor.js" type="text/javascript"></script>
<script>
$(function() {
	// load page content modules
	loadContent('ajaxFiles','list/files.php?t=<?=$nType;?>');
});
</script>
<script>
function gotoHref(theSelect) {
	if(theSelect.value != "") {
		thehref = theSelect.options[theSelect.selectedIndex].value;
		window.location.href = thehref;
	}
}
</script>
</head>

<body onLoad="MM_preloadImages('img/load.gif');">

	<!--[if !IE]>start wrapper<![endif]-->
	<div id="wrapper">

		<? require("inc/header.php"); ?>
	
		<!--[if !IE]>start content<![endif]-->
		<div id="content">
			
			<!--[if !IE]>start content bottom<![endif]-->
			<div id="content_bottom">
			
			<div class="inner">
				
				<!--[if !IE]>start info<![endif]-->
				<div id="info">
	
	<!--[if !IE]>start section<![endif]-->
	<div class="section">
	<div class="title_wrapper">
		<div style="position:absolute; top:5px; left: 210px;">
			<select name="t" onChange="gotoHref(this);">
				<option value="?t=all" <?if($nType=="all"){?>SELECTED<?}?>>All types</option>
				<option value="?t=PDF" <?if($nType=="PDF"){?>SELECTED<?}?>>PDF</option>
				<option value="?t=Word" <?if($nType=="Word"){?>SELECTED<?}?>>Word</option>
				<option value="?t=Excel" <?if($nType=="Excel"){?>SELECTED<?}?>>Excel</option>
				<option value="?t=Other" <?if($nType=="Other"){?>SELECTED<?}?>>Other</option>
			</select>
		</div>
		<h2>Document Library</h2>
		<div id="product_list_menu">
			<a href="javascript:;" title="Add New Document" onClick="$('#imgFormDiv').slideDown('slow');" class="update"><span><span><em>Add New Document</em><strong></strong></span></span></a>
		</div>
	</div>
	<div id="imgFormDiv" style="border:1px solid #CCC;padding:14px;display:none;">
<?php
include("inc/form_class.php");

$nFormName = "FormFileAdd";
$nForm1 = new Form();
$nForm1->Name = $nFormName;
$nForm1->Action = $_SERVER['PHP_SELF']."?t=".$nType;
$nForm1->SubmitText = "Add New File";
$nForm1->CancelText = "Cancel";
$nForm1->CancelRedirect = "$('#imgFormDiv').slideUp('slow');";
$nForm1->CancelRedirectIsJS = true;
$nForm1->AddToDBTable = "nFile";
$nForm1->Encoding = "multipart/form-data";
$nForm1->DontProcess = "nPostProcess,nRolloverText";

$nForm1->DBLink = $Link;
$nForm1->nUseADODB = false;

// Create groups
$nFormGroup1 = new FormGroup();

// Create fields
if($nType){
	$nFormField = new FormField("hidden","nType");
	$nFormField->Value = $nType;
	$nFormGroup1->AddField($nFormField);
}

$nFormField = new FormField("file","nFile","Upload a new document:");
$nFormField->Caption = "(file must be below 50Mb)";
$nFormField = $nForm1->AddValidation("required",$nFormField);
$nFormField->RowSize = "Half";
$nFormGroup1->AddField($nFormField);

// Finalize and display form
$nForm1->AddGroup($nFormGroup1);
$nFormToDisplay = $nForm1->GetForm();

// AJAX redirect if form submitted w/o error, otherwise display form (again, if necessary)
$nImgError = "";
if($nForm1->HasProcessed){
	$nFileID = mysql_insert_id(); // get id of db inserted file
	$nBaseFilePath = "../usr/docs/";
	$nDBFilePath = "usr/docs/";
	// Get uploaded file
	$nUpFile = $_FILES['nFile'];
	if ($nUpFile){
		$nUpFileFilename = $nUpFile['name'];
		$nUpFileTMPFile = $nUpFile['tmp_name'];
	}
	// Copy file to public folder and save to db
	$nNewFilename = nSanitizeImgFilename($nUpFileFilename);
	$nFileExtension = nImg_GetExtension($nUpFileFilename);
	if($nFileExtension=="jpg" || $nFileExtension=="gif" || $nFileExtension=="png") { $nImgError.="Image filetype not supported ($nFileExtension).  Please use the Image Library for those.<BR>"; }
	if(!$nImgError){
		// fix filename for duplicates
		$nNum = 1;
		while(file_exists($nBaseFilePath.$nNewFilename)){ $nNum++; $nNewFilename = str_replace(".$nFileExtension","$nNum.$nFileExtension",$nNewFilename); }
		copy($nUpFileTMPFile,$nBaseFilePath.$nNewFilename);
		// Save to db
		$Query = "UPDATE nFile SET nPath='$nDBFilePath$nNewFilename',nType='$nFileExtension' WHERE nID=$nFileID LIMIT 1";
		mysql_select_db($DBName);
		mysql_query($Query, $Link);
		// Post-processing
		$nImgPath = $nBaseFilePath.$nNewFilename;
	} else {
		// Delete db item added if error
		$nSQL = "DELETE FROM nFile WHERE nID=$nFileID LIMIT 1";
		mysql_select_db($DBName);
	}
	echo $nFormToDisplay;
	
} else {
	echo $nFormToDisplay;
}
?>
	</div>
	<?php
	if($nImgError){ echo "<div style=\"border:1px solid #EEC138;background-color:#F7F8A7;padding:6px;color:red;\"><ul>$nImgError</ul></div>"; }
	?>
	<div id="ajaxFiles"></div><BR>
	
				</div>
				</div>
				<!--[if !IE]>end info<![endif]-->
				
				<!--[if !IE]>start sidebar<![endif]-->
				<div id="sidebar">
					
					
					<!--[if !IE]>start sidebar module<![endif]-->
					<div class="sidebar_module">
						<div class="title_wrapper">
							<h3>Quick Tips: Documents</h3>
						</div>
						<div id="secondary_menu">
							<ul>
								<li style="padding:20px 0px;">Store all documents available for download or viewing on your website here.<BR><BR>Just upload your DOC, PDF, XLS, or any other type of file to the <em>Document Library</em> and make it available for download via a Page Link.</li>
							</ul>
						</div>
					</div>
					<!--[if !IE]>end sidebar module<![endif]-->
					
				</div>
				<!--[if !IE]>end sidebar<![endif]-->
				
			</div>
			<!--[if !IE]>end content bottom<![endif]-->
			</div>
			
		</div>
		<!--[if !IE]>end content<![endif]-->
	</div>
	<!--[if !IE]>end wrapper<![endif]-->
	
	<? require("inc/footer.php"); ?>
	

<!-- <a href="javascript:;" onClick="window.opener.FormCompEdit.nProcess=0; if(window.opener.FormCompEdit.onsubmit()){ window.opener.FormCompEdit.submit(); }">test parent link</a> //-->

<div id="status" style="display:none;"><table><tr><td class="padRight"><img src="img/load.gif" alt="" width="16" height="16" border="0"></td><td><div align="center">Loading...<BR>Please wait<BR></div></td></tr></table></div>
	
</body>
</html>
<? require("../inc/db_close.php"); ?>


