<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

require("../inc/stop_cache.php");
$nAdminOnlyPg = 0;
require("../inc/secure_page.php");
// connect to mysql
require("../../inc/dbconnect.php");
include("../inc/paginator.php");
include("../inc/pageutil.php");
include("../inc/calendar.php");
require("../inc/imgedit.php");

$nShowPerPg = 999;

// Get passed-in vars
if(isset($_GET["pg"])){ $nPage = $_GET["pg"]; } else { $nPage = ""; }
if(!$nPage && isset($_POST["pg"])){ $nPage = $_POST["pg"]; }
if(isset($_GET["srt"])){ $nSort = $_GET["srt"]; } else { $nSort = ""; }
if(isset($_GET["ord"])){ $nSortOrder = $_GET["ord"]; } else { $nSortOrder = ""; }
if(isset($_GET["spp"])){ $nShowPerPgOverride = $_GET["spp"]; } else { $nShowPerPgOverride = ""; }
if($nShowPerPgOverride){ $nShowPerPg = $nShowPerPgOverride; }

if(isset($_GET["t"])){ $nType = $_GET["t"]; } else { $nType = ""; }
if(!$nType){ $nType = "Content"; }
if(isset($_GET["mode"])){ $nMode = $_GET["mode"]; } else { $nMode = ""; }
if(!$nMode && isset($_POST["mode"])){ $nMode = $_POST["mode"]; }
if(!$nMode){ $nMode = "e"; } // e = edit images, c = choose image
if(isset($_GET["fld"])){ $nFieldToUpdate = $_GET["fld"]; } else { $nFieldToUpdate = ""; }

// Globals
$nSortableCreateARRAY = array();
$nSortableARRAY = array();

// Setup SQL query for displayed listing
if(!$nSort){ $nSort="nOrderID"; }  // default sort
if(!$nSortOrder){ $nSortOrder="ASC"; }  // default sort order
if($nType){ $nWhereARRAY[] = "nType='$nType'"; }

$nWhereSQL = "";
if(isset($nWhereARRAY)){ $nWhereSQL = "WHERE ".implode(" AND ",$nWhereARRAY); } else { $nWhereSQL = ""; }
$nOrderBySQL = "ORDER BY $nSort $nSortOrder";
$nListingSQL = "SELECT * From nImage $nWhereSQL $nOrderBySQL";

if($nType){ $nPassThru = "?nType='$nType'&mode='$nMode'&fld='$nFieldToUpdate'"; } else { $nPassThru = ""; }
$nDivToUpdate = "ajaxImages";
$nPageInDiv = "list/images.php";
$nCurrQueryStr = $_SERVER['QUERY_STRING'];
if($nCurrQueryStr){ $nFullPageInDiv = $nPageInDiv."?".$nCurrQueryStr; } else { $nFullPageInDiv = $nPageInDiv; }
$nPagingText = nGetPaging($nListingSQL,$nPage,$nShowPerPg,$nPassThru,$nDivToUpdate,$nPageInDiv);
if($nPassThru){ $nPassThruQry="?".$nPassThru; $nPassThru="&".$nPassThru; }
// for extrenal refresh requests
print "<script>refreshImages = function(){ loadContent('".$nDivToUpdate."','".$nFullPageInDiv."'); }</script>";
?>

	<div id="editBox">
		<div id="pageDD">
			<table border="0" cellspacing="0" cellpadding="0">
			  <tr>
				<td width="680"><?=nGetImageList();?></td>
			  </tr>
			</table>
		</div>
	</div>

<script type="text/javascript">
<? if($nMode=="e"){ ?>
// Handle sorting and order saving
$("<? if($nSortableARRAY){ echo implode(",",$nSortableARRAY); } ?>").sortable({
	update: function(event, ui) {
		var dataString = "group=" + $(this).attr("id") + "&order=" + $(this).sortable('toArray').toString();
		// save updated order
		var url = "edit/image_order.php";
		$.ajax({  
			type: "POST", url: url, data: dataString,  
			error: function(msg,msg2,errorMsg){ alert('error'); alert('error returned in call to '+url+': '+errorMsg); },
			success: function(msg){ }
		});
		$(this).effect("highlight", {}, 1500);
	}
});
<? } ?>
</script>

<!--[if !IE]>start pagination<![endif]-->
<div class="pagination" style="float:none;clear:both;">
	<span class="page_no">Page 1 of 1</span>
</div>
<!--[if !IE]>end pagination<![endif]-->


<?php
function nGetImageList(){
	global $DBName,$Link,$nListingSQL;
	global $nShowPerPg,$nTotalRec,$nStartRec,$nEndRec,$nTotalPg,$nType,$nMode,$nFieldToUpdate;
	global $nSortableCreateARRAY, $nSortableARRAY;
	if(!$nListingSQL){ return ""; }
	$nTable = "";
	$nTypeIDName = str_replace(" ","--",$nType);
	$nCurrRec = 0;
	mysql_select_db($DBName); $Result = mysql_query($nListingSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nCurrRec++;
		if($nCurrRec>=$nStartRec && $nCurrRec<=$nEndRec && $nCurrRec<=$nTotalRec){
			$nID = $Row["nID"];
			$nPath = $Row["nPath"];
			$nTitle = $Row["nTitle"];
			$nCaption = $Row["nCaption"];
			$nFilename = nGetImageNameFromPath($nPath);
			$nImgTag = "<img src=\"../$nPath\" alt=\"\" height=\"121\" border=\"0\">";
			if(file_exists("../../$nPath")){
				$nFilesize = filesize("../../$nPath");
				if($nFilesize){ $nFilesize = number_format(($nFilesize/1000),0,'.',''); }
				$nImgSizeARRAY = getimagesize("../../$nPath");
				$nImgW = $nImgSizeARRAY[0]; $nImgH = $nImgSizeARRAY[1]; $nResizeRatio = $nImgW/100;
				if($nImgH<121){ $nImgTag = "<img src=\"../$nPath\" alt=\"\" width=\"$nImgW\" height=\"$nImgH\" border=\"0\">"; }
				if($nResizeRatio && ($nImgH/$nResizeRatio)>100){ $nImgTag = "<div style=\"overflow:hidden; height:121px; width:121px; vertical-align:middle;\">$nImgTag</div>"; }
			}
			if(!$nTitle){ $nTitle = $nFilename; }
			if($nMode=="e"){
				$nImageLink = "<a href=\"dialog/image_edit.php?id=$nID\" title=\"Edit Image\" class=\"modal\">$nImgTag</a>";
				$nHandle = "<td colspan=\"3\" id=\"galleryInfo\" class=\"handleComp\" style=\"width:100px\">&nbsp; &nbsp;$nTitle</td>";
				$nDelete = "<td align=\"right\"><a href=\"dialog/image_delete.php?id=$nID\" title=\"Delete Image\" class=\"modal delete_product\"><img src=\"img/spacer.gif\" alt=\"Delete Image\" width=\"14\" height=\"13\" border=\"0\"></a></td>";
			} else {
				$nImageLink = "<a href=\"javascript:;\" onClick=\"if(window.opener.updateImageField('$nFieldToUpdate','$nID')){ self.close(); }\" title=\"Choose This Image\">$nImgTag</a>";
				$nHandle = "<td colspan=\"4\" id=\"galleryInfo\" style=\"width:100px\">&nbsp; &nbsp;$nTitle</td>";
				$nDelete = "";
			}
			$nTable.= <<<CODE
			<!-- BEGIN Img //-->
			<div id="libimg_$nID" class="libimg" align="center">
				<table width="121" border="0" cellspacing="1" cellpadding="0" style="border-collapse:collapse; table-layout:fixed;">
				  <tr><td colspan="4" align="center" id="galleryImg">$nImageLink</td></tr>
				  <tr>
					$nHandle
					$nDelete
				  </tr>
				</table>
			</div>
CODE;
		}
	}
	if($nMode=="c"){ $nTable.= "<BR><BR><a href=\"javascript:;\" onClick=\"if(window.opener.updateImageField('$nFieldToUpdate','')){ self.close(); }\" title=\"No image\">Click here</a> to not use an image."; }
	if(!$nTable){ $nTable = "<table width=\"100%\"><tr><td height=\"200\" align=\"center\" class=\"caption\" colspan=\"5\"><em>No images available in this library.</em></td></tr></table>"; } else { $nTable = "<div id=\"libImages_$nTypeIDName\" style=\"height:400px;\">$nTable</div>"; }

	// Create sortable
	$nSortableARRAY[] = "#libImages_$nTypeIDName";
	
	return $nTable;
}

function nGetImageNameFromPath($nPath){
	if(!$nPath){ return; }
	$nPathARRAY = explode("/",$nPath);
	$nImgName = $nPathARRAY[(count($nPathARRAY)-1)];
	return $nImgName;
}

function nGetSectionName($nRecID){
	global $DBName,$Link;
	$nSQL = "SELECT nName,nParentID FROM nSection WHERE nID='$nRecID' LIMIT 1";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nName = $Row["nName"];
		$nParentID = $Row["nParentID"];
	}
	if($nParentID){ $nParentName = nGetSectionName($nParentID)." &gt; "; } else { $nParentName = ""; }
	return "$nParentName$nName";
}

function nSectionExists($nSectionID){
	global $DBName,$Link;
	if(!$nSectionID){ return 0; }
	$nSQL = "SELECT nID FROM nSection WHERE nID=$nSectionID";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	$nCount = mysql_num_rows($Result);
	return $nCount;
}
function nGetPageIDAccessARRAY($ValidUser){
	global $DBName,$Link;
	if(!$ValidUser){ return; }
	// Get user ID
	$nSQL = "SELECT nID FROM nEditor WHERE nUser='$ValidUser' LIMIT 1";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nEditorID = $Row["nID"];
	}
	$nDataARRAY = array();
	$nSQL = "SELECT nPageID FROM xEditorPage WHERE nEditorID=$nEditorID";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nPageID = $Row["nPageID"];
		$nDataARRAY[] = $nPageID;
	}
	return $nDataARRAY;
}
?>
<? require("../../inc/db_close.php"); ?>
