<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

require("../inc/stop_cache.php");
$nAdminOnlyPg = 0;
require("../inc/secure_page.php");
// connect to mysql
require("../../inc/dbconnect.php");
include("../inc/paginator.php");
include("../inc/pageutil.php");
include("../inc/calendar.php");
require("../inc/imgedit.php");

$nShowPerPg = 999;

// Get passed-in vars
if(isset($_POST["nTheme"])){ $nThemeToActivate = $_POST["nTheme"]; } else { $nThemeToActivate = ""; }
if(isset($_GET["pg"])){ $nPage = $_GET["pg"]; } else { $nPage = ""; }
if(!$nPage && isset($_POST["pg"])){ $nPage = $_POST["pg"]; }
if(isset($_GET["srt"])){ $nSort = $_GET["srt"]; } else { $nSort = ""; }
if(isset($_GET["ord"])){ $nSortOrder = $_GET["ord"]; } else { $nSortOrder = ""; }
if(isset($_GET["spp"])){ $nShowPerPgOverride = $_GET["spp"]; } else { $nShowPerPgOverride = ""; }
if($nShowPerPgOverride){ $nShowPerPg = $nShowPerPgOverride; }

if(isset($_GET["t"])){ $nType = $_GET["t"]; } else { $nType = ""; }

if($nType){ $nPassThru = "?nType='$nType'"; } else { $nPassThru = ""; }
$nDivToUpdate = "ajaxThemes";
$nPageInDiv = "list/themes.php";
$nCurrQueryStr = $_SERVER['QUERY_STRING'];
if($nCurrQueryStr){ $nFullPageInDiv = $nPageInDiv."?".$nCurrQueryStr; } else { $nFullPageInDiv = $nPageInDiv; }
if($nPassThru){ $nPassThruQry="?".$nPassThru; $nPassThru="&".$nPassThru; }
// for extrenal refresh requests
print "<script>refreshThemes = function(){ loadContent('".$nDivToUpdate."','".$nFullPageInDiv."'); }</script>";

if($nThemeToActivate){
	// Activate new theme
	$Query = "UPDATE nSettings SET nValue='$nThemeToActivate' WHERE nSetting='activeTemplate' LIMIT 1";
	mysql_select_db($DBName);
	mysql_query($Query, $Link);
}

$nCurrentTheme = nGetActiveThemePath();
?>

	<div id="editBox">
		<div id="pageDD">
			<table border="0" cellspacing="0" cellpadding="0">
			  <tr>
				<td width="680"><?=nGetThemeList();?></td>
			  </tr>
			</table>
		</div>
	</div>
		
<!--[if !IE]>start pagination<![endif]-->
<div class="pagination" style="float:none;clear:both;">
	<span class="page_no">Page 1 of 1</span>
</div>
<!--[if !IE]>end pagination<![endif]-->


<?php
function nGetThemeList(){
	global $DBName,$Link;
	global $ValidUser,$nCurrentTheme,$nDivToUpdate,$nPageInDiv;
	$nTable = "";
	// Get all folders in Theme directory
	$nCount = 1;
	$path = "../../tmpl/";
	$pagepath = "../tmpl/";
	$dir_handle = @opendir($path) or die("Unable to open $path");    
	while ($file = readdir($dir_handle)) {
		if($file == "." || $file == ".." || $file == "index.php" )
			continue;
		if(is_dir("$path$file/")){
			$nFolderName="$file";
			$nFolderPath="$path$file/";
			// show theme only if it has valid config file
			if(file_exists("$path$file/config.php")){
				require("$path$file/config.php");
				// create HTML
				$nThemeInfo = "";
				if($file."/"==$nCurrentTheme){
					$nActivateForm="<form action=\"#\" style=\"margin:4px;\"><input type=\"button\" name=\"nActivate\" id=\"nActivate\" value=\"This theme is active\" disabled></form>";
					$nDelete = "";
				} else {
					$nActivateForm="<form action=\"{$_SERVER['PHP_SELF']}\" method=\"post\" name=\"FormTmplActvate$nCount\" id=\"FormTmplActvate$nCount\" style=\"margin:4px;\" onsubmit=\"return submitForm('$nDivToUpdate','$nPageInDiv','FormTmplActvate$nCount');return false;\"><input type=\"hidden\" name=\"nTheme\" id=\"nTheme\" value=\"{$file}/\"><input type=\"submit\" name=\"nActivate\" id=\"nActivate\" value=\"Make this theme active\"></form>";
					//$nDelete = "<a href=\"dialog/image_delete.php?id=$nID\" title=\"Delete Theme\" onClick=\"Modalbox.show(this.href,{title: this.title, width: 450, overlayClose:false}); return false;\" class=\"delete_product\"><img src=\"img/spacer.gif\" alt=\"Delete Image\" width=\"14\" height=\"13\" border=\"0\"></a>";
					$nDelete = "";
				}
				if($nThemeAuthor){ $nThemeInfo.="by $nThemeAuthor<BR>"; }
				if($nThemeVersion || $nThemeReleaseDate){ $nThemeInfo.="Released: $nThemeReleaseDate<BR>"; }
				if($nThemeNotes){ $nThemeInfo.="<em>$nThemeNotes</em><BR>"; }
				$nImgTag = "<img src=\"$pagepath$file/$nThumbnail\" width=\"250\" height=\"172\" alt=\"\" border=\"0\" style=\"margin:3px;\">";
				$nTable.= <<<CODE
					<!-- BEGIN Theme //-->
					<div align="center" id="galleryBox" style="width:293px;">
						<table width="260" border="0" cellspacing="1" cellpadding="0">
						  <tr><td colspan="2" align="center" id="galleryImg">$nImgTag</td></tr>
						  <tr><td colspan="2" id="galleryInfo"><strong>$nThemeName</strong> v$nThemeVersion</td></tr>
						  <tr>
							<td width="240" id="galleryInfo" style="line-height:14px;">$nThemeInfo</td>
							<td width="20" align="right" valign="top" id="galleryInfo">$nDelete</td>
						  </tr>
						</table>
						<div align="center">$nActivateForm</div>
					</div>
CODE;
				$nCount++;
			}
		}
	}
	closedir($dir_handle);
	$nTable = str_replace("[nTotal]",($nCount-1),$nTable);
	
	return $nTable;
}

function nGetActiveThemePath(){
	global $DBName,$Link;
	$nSettingsARRAY = array();
	$nSQL = "SELECT * FROM nSettings WHERE nSetting='activeTemplate'";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	while($Row = mysql_fetch_array($Result)){
		$nActiveTmplPath = $Row["nValue"];
	}
	return $nActiveTmplPath;
}
?>
<? require("../../inc/db_close.php"); ?>
