<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

require("inc/stop_cache.php");
require("inc/install.php");

// connect to mysql
require("../inc/dbconnect.php");
require("../inc/config.php");

$nErrorCode = $_GET['error'];
$nEmail = $_GET['nEmail'];
$nMsgCode = $_GET['msg'];

if($nMsgCode){ $nMessage = nGetSysMessage($nMsgCode); }
if($nErrorCode){ $nMessage = nGetErrorMessage($nErrorCode); }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title>Login</title>
	<meta name="Robots" content="None">
<link rel="stylesheet" type="text/css" href="css/meta-admin-login.css" />
<link rel="stylesheet" type="text/css" href="css/forms.css" />
<link rel="stylesheet" type="text/css" href="css/blue-theme-login.css" />
<!--[if lte IE 6]><link media="screen" rel="stylesheet" type="text/css" href="css/ie-login.css" /><![endif]-->
<script>
<!--
// Break out of any frames
if(top.location!=self.location){ top.location=self.location; }

function nSetFocus(){
	if(document){
		document.nLoginForm.nEmail.focus();
	}
}
//-->
</script>
</head>

<body onLoad="nSetFocus();">
	<!--[if !IE]>start wrapper<![endif]-->
	<div id="wrapper">
		<!--[if !IE]>start header<![endif]-->
		<div id="header">
			<div class="inner">
				<h1 id="logo"><a href="#">Adminstration Panel</a></h1>
			</div>
		</div>
		<!--[if !IE]>end header<![endif]-->
		<!--[if !IE]>start content<![endif]-->
		<div id="content" align="center">
				
				<? if($nMessage){ ?>
				<div style="width:600px;padding-top:60px;" align="left">
					<ul class="system_messages"><?=$nMessage?></ul>
				</div>
				<?}?>
					
				<!--[if !IE]>start login_wrapper<![endif]-->
				<div id="login_wrapper">
					<span class="extra1"></span>
					<div class="title_wrapper">
						<h2>Password Recovery</h2>
					</div>
					<form action="process_login.php" method="post" name="nLoginForm" id="nLoginForm">
						<fieldset>
							<!--[if !IE]>start row<![endif]-->
							Please enter the e-mail address associated with your<BR>account and we will send it to you.<BR><BR>
							<div class="row">
								<label>E-mail:</label>
								<span class="input_wrapper">
									<input class="text" type="text" name="nEmail" value="<?=$nEmail;?>" maxlength="100" />
								</span>
							</div>
							<!--[if !IE]>end row<![endif]-->
							<!--[if !IE]>start row<![endif]-->
							<div class="row">
								<div class="inputs small_inputs">
									<span class="button blue_button unlock_button"><span><span><em><span class="button_ico"></span>Get Password</em></span></span><input name="" type="submit" /></span>
									<a href="/manage/" class="button gray_button"><span><span>Cancel</span></span></a> 
								</div>
							</div>
							<!--[if !IE]>end row<![endif]-->
						</fieldset>
						<input type="hidden" name="nRedirect" id="nRedirect" value="<?=$nRedirect;?>">
					</form>
				</div>
				<!--[if !IE]>end login_wrapper<![endif]-->
			
		</div>
		<!--[if !IE]>end content<![endif]-->
	</div>
	<!--[if !IE]>end wrapper<![endif]-->
</body>
</html>
<?php
function nGetErrorMessage($nCode) {
	switch ($nCode) {
		case "1": 
			//$nErrorMessage = "Username was not found in our system.  Please retry your login.<BR><BR><BR>";
			$nErrorMessage = "There was a problem emailing the account information. Please try again."; break;
		case "2": 
			//$nErrorMessage = "The password for that username does not match our records.  Please retry your login.<BR><BR><BR>";
			$nErrorMessage = "Login failed! Please try again."; break;
		case "3": 
			$nErrorMessage = "Please fill in a valid email address and try again."; break;
			//$nErrorMessage = "Login failed! Please try again."; break;
		case "4": 
			//$nErrorMessage = "You have tried to access an area that you do not have authorization for.<BR>Please contact your administrator for more information.<BR><BR><BR>";
			$nErrorMessage = "Login failed! Please try again."; break;
		case "6": 
			//$nErrorMessage = "You have tried to access an area that you do not have authorization for.<BR>Please contact your administrator for more information.<BR><BR><BR>";
			$nErrorMessage = "Too many login attempts in too short of a time. Please try back again in a few minutes."; break;
		case "7": 
			$nErrorMessage = "Sorry... you do not have access to this page. Please login with different credentials to access it."; break;
	}
	if($nErrorMessage){ $nErrorMessage = "<li class=\"red\"><span class=\"ico\"></span><strong class=\"system_title\">$nErrorMessage</strong></li>"; }
	return $nErrorMessage;
}

function nGetSysMessage($nCode) {
	switch ($nCode) {
		case "1": 
			$nSysMessage = "If an account exists for the email you entered, you will receive a password there soon. Once you recieve it, you can login <a href=\"/manage/\">here</a>."; break;
	}
	if($nSysMessage){ $nSysMessage = "<li class=\"green\"><span class=\"ico\"></span><strong class=\"system_title\">$nSysMessage</strong></li>"; }
	return $nSysMessage;
}

function nVerifyUserToken($nMemUserToken,$nMemUser){
	global $DBName,$Link;
	$nNow = date("Y-m-d H:i:s");
	$nTimeLimitToken = 60*60*24*30; // in seconds (token valid for 30 days)
	$nTimeLimitToken = strtotime($nNow)-$nTimeLimitToken;
	$Query = "SELECT nEmail,nLoginToken FROM nEditor WHERE UNIX_TIMESTAMP(nTokenDate) >= $nTimeLimitToken";
	mysql_select_db($DBName); $Result = mysql_query($Query,$Link);
	$Num = mysql_num_rows($Result);
	while ($Row = mysql_fetch_array($Result)) {
		if ($Row["nEmail"] == $nMemUser) {
			$nEmailMatch = TRUE;
			$nLoginToken = $Row["nLoginToken"];
		}
	}
	if($nEmailMatch && $nLoginToken==$nMemUserToken){ return true; }
	return false;
}

// cleans URL of strange characters, like exploits and injection attacks
// also checks for the presence of this website in the URL, if does not exist, adds it
function nSanitizeURL($nURL){
	global $nFullSitePath;
	if($nURL==$nFullSitePath){ return $nFullSitePath; }
	$nURL = str_ireplace($nFullSitePath,"",$nURL);
	// clean up trailing and leading slashes
	$nURLARRAY = explode("/",$nURL);
	$nURLARRAY = array_filter($nURLARRAY); // clean out empties
	$nURL = implode("/",$nURLARRAY);
	// clean out all strange chars and hack attempts
	$notAllowed = array("<",">","\"","'","(",")","having","insert","select","update","delete","group by","where");
	$nURL = trim(str_ireplace($notAllowed,"",$nURL));
	$nURL ="$nFullSitePath$nURL";
	$nURL = str_replace(" ","",$nURL);
	return $nURL;
}
?>
<?
require("../inc/db_close.php");
?>

